# PandaJS

**PandaJS** is a Javascript micro Library for simple, lightweight popup boxes. The goal of this library was to create something that meets the following criteria

  

* Dependency-less

* Lightweight

* Quick and efficient

* As minimal as possible, but still ticking all boxes

  

## Current Version

1.0.0

*For more detailed release notes, see `releases.md`*

## Install

Panda JS can be installed one of the following ways  

### NPM

To install via NPM run the following

```
npm i @s-r0/panda-js
```

then import the module using

```javascript
import { Panda } from '@s-r0/panda-js';
```



### Manually

Manual installation can be done by simply downloading this library and including the build `panda.js` file. Once downloaded and placed in your directory, import the module like so.  

```javascript
import { Panda } from  '{{path_to_panda.js}}';
```



### Styles

Feel free to write your own styles for pandaJS, but if you want to use the default styles (or at least the basics and overwrite them), import the styles in to your project

```scss
@import "@s-r0/panda-js/src/scss/panda";
```



## Authors

**Sam Rutter**


## Copyright


## License

PandaJS is under the MIT License