function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

/**
 * Validate email
 * 
 * @param {String} text - The text we're validating
 * @returns {Promise}
*/
export var email = /*#__PURE__*/function () {
  var _ref = _asyncToGenerator(function* (text) {
    //Elems
    var regex = /[^@ \t\r\n]+@[^@ \t\r\n]+\.[^@ \t\r\n]+/; //Return

    return regex.test(text);
  });

  return function email(_x) {
    return _ref.apply(this, arguments);
  };
}();
/**
 * Validate Telephone
 * 
 * @param {String} text - The text we're validating
 * @returns {Promise}
*/

export var telephone = /*#__PURE__*/function () {
  var _ref2 = _asyncToGenerator(function* (text) {
    //Elems
    var regex = /[^@ \t\r\n]+@[^@ \t\r\n]+\.[^@ \t\r\n]+/; //Return

    return regex.test(text);
  });

  return function telephone(_x2) {
    return _ref2.apply(this, arguments);
  };
}();